Package com.smartgwt.client.types

# Enum AIServiceMode

java.lang.Object
java.lang.Enum<AIServiceMode>
com.smartgwt.client.types.AIServiceMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AIServiceMode>`, `Constable`

public enum AIServiceMode extends Enum<AIServiceMode> implements ValueEnum
The mode for how AI should respond to AI-powered component view requests, such as filering, sorting, and hiliting via AI.

The amount of interaction with AI is lowest in AI Assist mode. AIDE requires more interaction with AI, and Hybrid mode requires the most amount of interaction. More interaction with AI generally requires more time to process the component view request.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AIASSIST`
  AI Assist - AI is driving existing UI on the user's behalf.
  `AIDE`
  AI Data Enhance - Per-record augmentation or enhancements provided via AI.
  `HYBRID`
  AI decides whether AI Assist, AIDE, or some combination of both approaches should be used to best respond to the component view request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AIServiceMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AIServiceMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AIASSIST

    public static final AIServiceMode AIASSIST
    AI Assist - AI is driving existing UI on the user's behalf. An example of this is: AI converts the user's description of what records they would like to see into `AdvancedCriteria`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "aiAssist".

  - ### AIDE

    public static final AIServiceMode AIDE
    AI Data Enhance - Per-record augmentation or enhancements provided via AI. Examples of this are AI-generated fields, where the field values are not derived from the records, but rather, supplied via AI.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "AIDE".

  - ### HYBRID

    public static final AIServiceMode HYBRID
    AI decides whether AI Assist, AIDE, or some combination of both approaches should be used to best respond to the component view request.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hybrid".

- ## Method Details

  - ### values

    public static AIServiceMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AIServiceMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`